%define anolis_release 1
%global pypi_name sklearn-crfsuite
%global pypi_version 0.3.6

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        CRFsuite (python-crfsuite) wrapper which provides interface simlar to scikit- learn

License:        MIT
URL:            https://github.com/TeamHG-Memex/sklearn-crfsuite
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(python-crfsuite) >= 0.8.3
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(tabulate)
BuildRequires:  python3dist(tqdm) >= 2
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(scikit-learn)

%description
sklearn-crfsuite is a thin CRFsuite (python-crfsuite) wrapper which provides interface 
simlar to scikit-learn. sklearn_crfsuite.CRF is a scikit-learn compatible estimator: you 
can use e.g. scikit-learn model selection utilities (cross-validation, hyperparameter 
optimization) with it, or save/load CRF models using joblib.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(python-crfsuite) >= 0.8.3
Requires:       python3dist(six)
Requires:       python3dist(tabulate)
Requires:       python3dist(tqdm) >= 2
Requires:       python3dist(scikit-learn)
%description -n python3-%{pypi_name}
sklearn-crfsuite is a thin CRFsuite (python-crfsuite) wrapper which provides interface 
simlar to scikit-learn. sklearn_crfsuite.CRF is a scikit-learn compatible estimator: you 
can use e.g. scikit-learn model selection utilities (cross-validation, hyperparameter 
optimization) with it, or save/load CRF models using joblib.

%package -n python-%{pypi_name}-doc
Summary:        sklearn-crfsuite documentation
%description -n python-%{pypi_name}-doc
Documentation for sklearn-crfsuite

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/sklearn_crfsuite
%{python3_sitelib}/sklearn_crfsuite-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html


%changelog
* Mon Feb 05 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.3.6-1
- Initial package.